[2/2] scripts/autobuilder-worker-prereq-tests: add additional limit testing

Message ID 20220511185253.14604-2-mhalstead@linuxfoundation.org
State Accepted, archived
Commit 6149bd4d4e23f69371b645d4c5fc6706e2413130
Headers show
Series [1/2] scripts/autobuilder-worker-prereq-tests: update to use yocto 4.0 | expand

Commit Message

Michael Halstead May 11, 2022, 6:52 p.m. UTC
Check that open file and user process limits are greater than or equal to what
the autobuilder uses.

Signed-off-by: Michael Halstead <mhalstead@linuxfoundation.org>
---
 scripts/autobuilder-worker-prereq-tests | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

Patch

diff --git a/scripts/autobuilder-worker-prereq-tests b/scripts/autobuilder-worker-prereq-tests
index 3956349b30..572227dccd 100755
--- a/scripts/autobuilder-worker-prereq-tests
+++ b/scripts/autobuilder-worker-prereq-tests
@@ -51,6 +51,21 @@  if (( $WATCHES < 65000 )); then
     echo 'Need to increase watches (echo fs.inotify.max_user_watches=65536 | sudo tee -a /etc/sysctl.conf'
     exit 1
 fi
+OPEN_FILES=$(ulimit -n)
+if (( $OPEN_FILES < 65535 )); then
+    echo 'Increase maximum open files in /etc/security/limits.conf'
+    echo '*            soft    nofile           131072'
+    echo '*            hard    nofile           131072'
+    exit 1
+fi
+MAX_PROCESSES=$(ulimit -u)
+if (( $MAX_PROCESSES < 514542 )); then
+    echo 'Increase maximum user processes in /etc/security/limits.conf'
+    echo '*            hard    nproc           515294'
+    echo '*            soft    nproc           514543'
+    exit 1
+fi
+
 mkdir -p tmp/deploy/images/qemux86-64
 pushd tmp/deploy/images/qemux86-64
 if [ ! -e core-image-minimal-qemux86-64.ext4 ]; then